Page MenuHomePhabricator

'Change label' in link inspector broken when cursor is at end of link
Closed, ResolvedPublic

Description

The root cause is T221967, but we don't have a good fix for that at the moment.

As reported in T221309.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (44556e8fd)
VisualEditor/VisualEditor : masterMake annotationsAtModelSelection fail in fewer cases

Event Timeline

Esanders created this task.Jun 11 2019, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 4:53 PM

Change 516524 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Make annotationsAtModelSelection fail in fewer cases

https://gerrit.wikimedia.org/r/516524

Change 516524 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Make annotationsAtModelSelection fail in fewer cases

https://gerrit.wikimedia.org/r/516524

Change 517137 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (44556e8fd)

https://gerrit.wikimedia.org/r/517137

Change 517137 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (44556e8fd)

https://gerrit.wikimedia.org/r/517137

matmarex moved this task from Inbox to High Priority on the Editing QA board.Jun 14 2019, 9:46 PM

Change 520127 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.AnnotationContextItem: Use ve.ce.Surface's logic for detecting annotations

https://gerrit.wikimedia.org/r/520127

The workaround fixes this for all cases except where the link consists of just one character. I filed a separate task about this: T227241 and moved the patch https://gerrit.wikimedia.org/r/520127 there. Please ignore that problem in QA, we'll get back to it :)

Ryasmeen edited projects, added Verified; removed Editing QA.
ppelberg closed this task as Resolved.Sep 3 2019, 1:49 AM
ppelberg claimed this task.